#!/usr/bin/env bash
dir=$(dirname $(realpath $0))
svg_data=$(curl --silent https://git.purser.it/roypur/stream-api/raw/branch/master/frontend/favicon-basic.svg)

echo ${svg_data} | inkscape --export-area-page  --export-width=16  --export-height=16 "${dir}/frontend/favicon.svg"  --export-filename="${dir}/chrome/icon-16.png"
echo ${svg_data} | inkscape --export-area-page  --export-width=19  --export-height=19 "${dir}/frontend/favicon.svg"  --export-filename="${dir}/chrome/icon-19.png"
echo ${svg_data} | inkscape --export-area-page  --export-width=38  --export-height=38 "${dir}/frontend/favicon.svg"  --export-filename="${dir}/chrome/icon-38.png"
echo ${svg_data} | inkscape --export-area-page  --export-width=48  --export-height=48 "${dir}/frontend/favicon.svg"  --export-filename="${dir}/chrome/icon-48.png"
echo ${svg_data} | inkscape --export-area-page --export-width=128 --export-height=128 "${dir}/frontend/favicon.svg" --export-filename="${dir}/chrome/icon-128.png"
